<%@ Page Title="Home Page" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<asp:Content runat="server" ID="FeaturedContent" ContentPlaceHolderID="FeaturedContent">
  <div>
        <ej:Grid ID="EmployeesGrid" runat="server" DetailsTemplate="#tabGridContents">
            <ClientSideEvents DetailsDataBound="detailGridData" />
            <Columns>
                <ej:Column Field="EmployeeID" HeaderText="Employee ID" IsPrimaryKey="True" TextAlign="Right" Width="75" />
                <ej:Column Field="FirstName" HeaderText="First Name" Width="100" />
                <ej:Column Field="Title" HeaderText="Title" Width="120" />
                <ej:Column Field="City" HeaderText="City" Width="100" />
                <ej:Column Field="Country" HeaderText="Country" Width="100" />
            </Columns>
        </ej:Grid>
    </div>
</asp:Content>

<asp:Content ID="ScriptContent" runat="server" ContentPlaceHolderID="ScriptSection">
    <script src="../Scripts/jsondata.min.js"></script>
    <script id="tabGridContents" type="text/x-jsrender">
        <div class="tabcontrol">
            
                <div id="detailGrid"></div>
        </div>
    </script>
    <script type="text/javascript">
        function detailGridData(e) {
            

            if (!window.ordersData) {
                // get data using the ajax
                $.ajax({
                    url: "/Default.aspx/Data",
                    type: "POST",
                    dataType: "json",
                    contentType: 'application/json; charset=utf-8',
                    success: function (result) {
                        window.ordersData = result.d;
                        bindData(e, window.ordersData);
                    },
                    error: function (xhr) {
                        alert('error');
                    }
                })
            }
            else
                bindData(e, window.ordersData);
        }

        //EmployeeID field name same as the parent and details grid
        function bindData(e, data) {
            var filteredData = e.data["EmployeeID"];
            var data = ej.DataManager(data).executeLocal(ej.Query().where("EmployeeID", "equal", parseInt(filteredData), true));
            e.detailsElement.find("#detailGrid").ejGrid({
                dataSource: data,
                allowSelection: false,
                columns: [
                    { field: "OrderID", key: true, headerText: "Order ID", width: 80, textAlign: ej.TextAlign.Right },
                    { field: "CustomerID", headerText: 'Customer ID', width: 80, textAlign: ej.TextAlign.Left },
                    { field: "Freight", width: 120, format:"{0:c}",textAlign: ej.TextAlign.Right },
                    { field: "ShipCity", headerText: 'City', width: 120, textAlign: ej.TextAlign.Left }
                ]
            });
        }
            
       
    </script>
</asp:Content>