#region Copyright Syncfusion Inc. 2001-2016.
// Copyright Syncfusion Inc. 2001-2016. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion
using Syncfusion.JavaScript;
using System;
using System.Collections.Generic;
using System.Configuration;
using System.Data;
using System.Data.SqlClient;
using System.Linq;
using System.Web;
using System.Web.Script.Services;
using System.Web.Services;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class _Default : Page
{
    List<Employees> order = new List<Employees>();
    protected void Page_Load(object sender, EventArgs e)
    {
        BindDataSource();
    }

    private void BindDataSource()
    {
        order.Add(new Employees(1, "Nancy", "Sales Representative", "Seattle", "USA"));
        order.Add(new Employees(2, "Andrew", "Vice President, Sales", "Tacoma", "USA"));
        order.Add(new Employees(3, "Janet", "Sales Representative", "Kirkland", "USA"));
        order.Add(new Employees(4, "Margaret", "Sales Representative", "Redmond", "USA"));
        order.Add(new Employees(5, "Steven", "Sales Manager", "London", "UK"));
        order.Add(new Employees(6, "Michael", "Sales Representative", "London", "UK"));
        order.Add(new Employees(7, "Robert", "Sales Representative", "London", "UK"));
        order.Add(new Employees(8, "Laura", "Inside Sales Coordinator", "Seattle", "USA"));
        order.Add(new Employees(9, "Anne", "Sales Representative", "London", "UK"));

        this.EmployeesGrid.DataSource = order;
        this.EmployeesGrid.DataBind();
    }

    [Serializable]
    public class Employees
    {
        public Employees()
        {

        }
        public Employees(int EmployeeId, string FirstName, string Title, string City, string Country)
        {

            this.EmployeeID = EmployeeId;
            this.FirstName = FirstName;
            this.Title = Title;
            this.City = City;
            this.Country = Country;
        }
        public int EmployeeID { get; set; }
        public string FirstName { get; set; }
        public string Title { get; set; }
        public string City { get; set; }
        public string Country { get; set; }
    }


    [WebMethod]
    [ScriptMethod(ResponseFormat = ResponseFormat.Json)]
    public static object Data()
    {
        DataTable t = new DataTable();
        using (SqlConnection c = new SqlConnection())
        {
            string cons = ConfigurationManager.ConnectionStrings["NORTHWNDConnectionString"].ConnectionString;
            c.ConnectionString = cons;
            c.Open();
            using (SqlDataAdapter a = new SqlDataAdapter("SELECT  top 50 * FROM [Orders]", c))
            {
                a.Fill(t);
            }
        }

        List<Orders> order = new List<Orders>();
        foreach (DataRow dr in t.Rows)
        {
            Orders obj = new Orders();
            obj.OrderID = Convert.ToInt32(dr["OrderID"]);
            obj.EmployeeID = Convert.ToInt32(dr["EmployeeID"]);
            obj.CustomerID = dr["CustomerID"].ToString();
            obj.ShipCity = dr["ShipCity"].ToString();
            order.Add(obj);
        }
        return order;
    }


    [Serializable]
    public class Orders
    {

        public int OrderID { get; set; }
        public string CustomerID { get; set; }
        public int? EmployeeID { get; set; }
        public double Freight { get; set; }
        public DateTime OrderDate { get; set; }
        public string ShipCity { get; set; }
    }
}
